import request from '@/utils/request'
// 部门管理-列表
export function getDeptListApi(query) {
    return request({
        url: '/system/dept/getDeptTree',
        method: 'get',
        params: query
    })
}
// 部门管理-修改
export function updateDeptApi(data) {
    return request({
        url: '/system/dept',
        method: 'put',
        data: data
    })
}
// 部门管理-详情
export function getDeptDetailsApi(deptId) {
    return request({
        url: `/system/dept/${deptId}`,
        method: 'get',

    })
}
// 部门管理-新增
export function addDeptApi(data) {
    return request({
        url: '/system/dept',
        method: 'post',
        data: data
    })
}
// 部门管理-删除
export function deleteDeptApi(deptId) {
    return request({
        url: `/system/dept/${deptId}`,
        method: 'delete',
    })
}